/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Timo Kujala <tiku@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ColorFrameCtrl_H__
#define __ColorFrameCtrl_H__

/* wxWindows headers */
#include <wx/brush.h>
#include <wx/control.h>

/* Private headers */
#include "defines.h"

#ifndef RGB
	#define RGB(a,b,c) ((a&0xff)<<16|(b&0xff)<<8|(c&0xff))
#endif
typedef unsigned int UINT;
typedef UINT* UINT_PTR;
typedef unsigned long DWORD; 
typedef struct _RECT {
  UINT left,top,right,bottom;
} RECT;
typedef RECT* LPRECT;


class CColorFrameCtrl : public wxControl {
public:
	CColorFrameCtrl( wxWindow* parent, int id,int wid,int hei );
	void SetFrameColor(DWORD color);
	void SetBackgroundColor(DWORD color);

	DWORD m_crBackColor;        // background color
	DWORD m_crFrameColor;       // frame color

	virtual ~CColorFrameCtrl();

protected:
	void OnPaint(wxPaintEvent& evt);
	void OnSize(wxSizeEvent& evt);
	DECLARE_EVENT_TABLE()
	RECT m_rectClient;
	wxBrush m_brushBack,m_brushFrame;
};

#endif
