/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <madcat_@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __CoreSettingsDlg_H__
#define __CoreSettingsDlg_H__

#ifdef __GNUG__
	#pragma interface "CoreSettingsDlg.cpp"
#endif

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "xMuleGUI_wdr.h"
#include "defines.h"

class CCoreSettingsDlg: public wxDialog {
public:
	CCoreSettingsDlg( wxWindow *parent, wxWindowID id, 
		const wxString &title,
		const wxPoint& pos = wxDefaultPosition,
		const wxSize& size = wxDefaultSize,
		long style = wxDEFAULT_DIALOG_STYLE );
private:
	/* Event handler functions */
	void OnOk(wxCommandEvent &event);
	void OnCancel(wxCommandEvent &event);
	void ShowWizard(wxCommandEvent &event);
	void CheckDl(wxCommandEvent &event);
	void CheckUl(wxCommandEvent &event);
	void CheckCon(wxCommandEvent &event);
	void CheckSrc(wxCommandEvent &event);
	void CheckUDP(wxCommandEvent &event);

	/* Getters for dialog controls */
    wxTextCtrl* GetPortUDP()  { return (wxTextCtrl*) FindWindow( ID_PORT_UDP ); }
    wxTextCtrl* GetPortTCP()  { return (wxTextCtrl*) FindWindow( ID_PORT_TCP ); }
    wxTextCtrl* GetLimitSrc()  { return (wxTextCtrl*) FindWindow( ID_LIMIT_SRC ); }
    wxTextCtrl* GetLimitUl()  { return (wxTextCtrl*) FindWindow( ID_LIMIT_UL ); }
    wxTextCtrl* GetLimitCon()  { return (wxTextCtrl*) FindWindow( ID_LIMIT_CON ); }
    wxTextCtrl* GetLimitDl()  { return (wxTextCtrl*) FindWindow( ID_LIMIT_DL ); }
    wxCheckBox* GetCheckAutocon()  { return (wxCheckBox*) FindWindow( ID_CHECK_AUTOCON ); }
    wxCheckBox* GetCheckUDP()  { return (wxCheckBox*) FindWindow( ID_CHECK_UDP ); }
    wxCheckBox* GetCheckSrc()  { return (wxCheckBox*) FindWindow( ID_CHECK_SRC ); }
    wxCheckBox* GetCheckUl()  { return (wxCheckBox*) FindWindow( ID_CHECK_UL ); }
    wxCheckBox* GetCheckCon()  { return (wxCheckBox*) FindWindow( ID_CHECK_CON ); }
    wxCheckBox* GetCheckDl()  { return (wxCheckBox*) FindWindow( ID_CHECK_DL ); }

	DECLARE_EVENT_TABLE()
};




#endif
